# IpePresentation Class Reference
[Ipe Document]

Presentation item (set of layers, duration, effect, transition style). More...

List of all members.

## Public Types

- enum TEffect {
  ENormal, ESplitHI, ESplitHO, ESplitVI,
  ESplitVO, EBlindsH, EBlindsV, EBoxI,
  EBoxO, EWipeLR, EWipeBT, EWipeRL,
  EWipeTB, EDissolve, EGlitterLR, EGlitterTB,
  EGlitterD
  }

## Public Member Functions

- IpePresentation ()
- IpePresentation (const IpeXmlAttributes &attr)
- void SaveAsXml (IpeStream &stream) const
- void PageDictionary (IpeStream &stream) const

## Public Attributes

- std::vector< IpeString > iLayers
- TEffect iEffect
- int iTransitionTime
- int iDuration

## Detailed Description

Presentation item (set of layers, duration, effect, transition style).

An IpePage contains a whole list of these, an IpePagePresentation.

## Member Enumeration Documentation

enum IpePresentation::TEffect

| The various fancy effects that Acrobat Reader will show.

## Constructor & Destructor Documentation

IpePresentation::IpePresentation | ( |  | ) |

| Construct default view.

IpePresentation::IpePresentation | ( | const IpeXmlAttributes & | attr | ) |

| Create a presentation item from XML tag.

## Member Function Documentation

void IpePresentation::SaveAsXml | ( | IpeStream & | stream | ) | const

| Write a single XML tag representing this presentation item.

void IpePresentation::PageDictionary | ( | IpeStream & | stream | ) | const

| Write part of page dictionary. Write part of page dictionary indicating effect, including the two keys /Dur and /Trans.

## Member Data Documentation

std::vector<IpeString> IpePresentation::iLayers

| Names of layers being shown.

TEffect IpePresentation::iEffect

| The fancy effect for showing the page.

int IpePresentation::iTransitionTime

| Transition time for effect in showing page.

int IpePresentation::iDuration

| Duration during which page is shown.

The documentation for this class was generated from the following files:

- ipepage.h
- ipepage.cpp